For the complete documentation index, see llms.txt. This page is also available as Markdown.

Featured set groups

get

This returns a list of featured set groups and the sets they contain.

Responses
200

A list of featured set groups.

application/json

A list of featured set groups.

imagestringRequired

An API image path (/cards/images/example.jpg implies https://api.gatcg.com/cards/images/example.jpg).

namestringRequired

The name of the featured set group.

Example: Alchemical Revolution
uuidstringRequired

A 10-character alphanumeric UUID.

Example: abcde12345
get/featured-sets
GET /featured-sets HTTP/1.1
Host: api.gatcg.com
Accept: */*
200

A list of featured set groups.

[
  {
    "image": "text",
    "name": "Alchemical Revolution",
    "sets": [
      {
        "created_at": "2024-10-11T12:00:00+00:00",
        "id": "abcde12345",
        "language": "EN",
        "last_update": "2024-10-11T12:00:00+00:00",
        "name": "Mortal Ambition",
        "prefix": "AMB",
        "release_date": "2024-10-11T00:00:00"
      }
    ],
    "uuid": "abcde12345"
  }
]
get

This returns a featured set group's logo image.

Path parameters
filenamestringRequired

The filename to download.

Example: AMB.png
Responses
200

Image file.

application/json
string · binary[]Optional

Image file.

get/featured-sets/images/{filename}
GET /featured-sets/images/{filename} HTTP/1.1
Host: api.gatcg.com
Accept: */*
[
  "binary"
]

Last updated